STRUCT USB_STRING(9)

NAME
struct usb_string - wraps a C string and its USB id

SYNOPSIS
struct usb_string {
  u8 id;
  const char * s;
};

MEMBERS

id  the (nonzero) ID for this string

s   the string, in UTF-8 encoding

DESCRIPTION

If you're using usb_gadget_get_string, use this to wrap a string together with its ID.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.